Package

## Object InMobiUnifiedIdService

- All Implemented Interfaces:

      public class InMobiUnifiedIdService

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private final AtomicBoolean` | `isPushCalled` |
    `public final static InMobiUnifiedIdService` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `final static Unit` | `push(InMobiUserDataModel inMobiUserDataModel)` | Update users data to InMobiUnifiedIDService in hashed form.
    `final static Unit` | `fetchUnifiedIds(InMobiUnifiedIdInterface inMobiUnifiedIdInterface)` | Retrieves unified id from InMobi supported vendors.
    `final static Unit` | `reset()` | Clears all Unified ID info.
    `final AtomicBoolean` | `getIsPushCalled()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

  - ### Method Detail

    - #### push

           final static Unit push(InMobiUserDataModel inMobiUserDataModel)

      Update users data to InMobiUnifiedIDService in hashed form. This method is used for identifying the user for user targeted ads. InMobiUnifiedIdService does not persist users info. It holds only the hashed info for a sessions lifetime. Expected to be called on every app session and on user login.

      Parameters:
        `inMobiUserDataModel` - Represents user data

    - #### fetchUnifiedIds

           final static Unit fetchUnifiedIds(InMobiUnifiedIdInterface inMobiUnifiedIdInterface)

      Retrieves unified id from InMobi supported vendors.

      Parameters:
        `inMobiUnifiedIdInterface` - Represents the callback that delivers the unified ids.

    - #### reset

           final static Unit reset()

      Clears all Unified ID info. Cancels all ongoing requests (Push and fetch).

      Expected to be called on user logout.

    - #### getIsPushCalled

           final AtomicBoolean getIsPushCalled()